Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[ GLSA 201603-13 ] Libreswan
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index News & Announcements
View previous topic :: View next topic  
Author Message
GLSA
Advocate
Advocate


Joined: 12 May 2004
Posts: 2235

PostPosted: Sun Mar 13, 2016 12:26 am    Post subject: [ GLSA 201603-13 ] Libreswan Reply with quote

Gentoo Linux Security Advisory

Title: Libreswan: Multiple Vulnerabilities (GLSA 201603-13)
Severity: normal
Exploitable: remote
Date: March 12, 2016
Bug(s): #550974, #558692
ID: 201603-13

Synopsis

Multiple vulnerabilities have been found in libreSwan possibly
resulting in Denial of Service.


Background

Libreswan is a free software implementation of the most widely supported
and standarized VPN protocol based on (“IPsec”) and the Internet Key
Exchange (“IKE”).


Affected Packages

Package: net-misc/libreswan
Vulnerable: < 3.15
Unaffected: >= 3.15
Architectures: All supported architectures


Description

The pluto IKE daemon in Libreswan, when built with NSS, allows remote
attackers to cause a Denial of Service (assertion failure and daemon
restart) via a zero DH g^x value in a KE payload in a IKE packet.
Additionally, remote attackers could cause a Denial of Service (daemon
restart) via an IKEv1 packet with (1) unassigned bits set in the IPSEC
DOI value or (2) the next payload value set to ISAKMP_NEXT_SAK.


Impact

Remote attackers could possibly cause Denial of Service.

Workaround

There is no known workaround at this time.

Resolution

All Libreswan users should upgrade to the latest version:
Code:
# emerge --sync
      # emerge --ask --oneshot --verbose ">=net-misc/libreswan-3.15"
   


References

CVE-2015-3204
CVE-2015-3240
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index News & Announcements All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum